<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>diskscan — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>diskscan</span>
</h1>

<p>DISKSCAN(1)                                                                 User Commands                                                                DISKSCAN(1)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">diskscan</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">scan</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">failed</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">near</span><span class="w"> </span><span class="n">failure</span><span class="w"> </span><span class="n">sectors</span></code></pre><p>SYNOPSIS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">diskscan</span><span class="w"> </span><span class="p" data-group-id="5263716180-1">[</span><span class="n">options</span><span class="n">...</span><span class="p" data-group-id="5263716180-1">]</span><span class="w"> </span><span class="n">block_device</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">diskscan</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">intended</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">check</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">find</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">bad</span><span class="w"> </span><span class="n">sectors</span><span class="w"> </span><span class="n">already</span><span class="w"> </span><span class="n">present</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">assess</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">possible</span><span class="w"> </span><span class="n">sectors</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">process</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">going</span><span class="w"> </span><span class="n">bad</span><span class="o">.</span><span class="w">
   </span><span class="nc">The</span><span class="w"> </span><span class="n">operation</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">read</span><span class="o">-</span><span class="n">only</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">cause</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">direct</span><span class="w"> </span><span class="n">damage</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">disk</span><span class="o">.</span><span class="w">

   </span><span class="n">diskscan</span><span class="w"> </span><span class="n">reads</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">entire</span><span class="w"> </span><span class="n">block</span><span class="w"> </span><span class="n">device</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">notes</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">time</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">took</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">read</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">block</span><span class="o">.</span><span class="w"> </span><span class="nc">When</span><span class="w"> </span><span class="n">there</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">error</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">immediately</span><span class="w"> </span><span class="n">noted</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="ow">when</span><span class="w"> </span><span class="n">there</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w">
   </span><span class="n">higher</span><span class="w"> </span><span class="n">latency</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">read</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">block</span><span class="o">.</span><span class="w"> </span><span class="nc">A</span><span class="w"> </span><span class="n">histogram</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">block</span><span class="w"> </span><span class="n">latency</span><span class="w"> </span><span class="n">times</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="n">given</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">assess</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">health</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">disk</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">diskscan</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">show</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">serious</span><span class="w"> </span><span class="n">errors</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">very</span><span class="w"> </span><span class="n">high</span><span class="w"> </span><span class="n">latency</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="n">emit</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">histogram</span><span class="w"> </span><span class="n">at</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="k">end</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">run</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="ss">form</span><span class="p">:</span><span class="w">

       </span><span class="ss">I</span><span class="p">:</span><span class="w"> </span><span class="nc">Validating</span><span class="w"> </span><span class="n">path</span><span class="w"> </span><span class="o">/</span><span class="n">dev</span><span class="o">/</span><span class="n">sdg</span><span class="w">
       </span><span class="ss">I</span><span class="p">:</span><span class="w"> </span><span class="nc">Opened</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="o">/</span><span class="n">dev</span><span class="o">/</span><span class="n">sdg</span><span class="w">
       </span><span class="ss">I</span><span class="p">:</span><span class="w"> </span><span class="nc">Scanning</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="o">/</span><span class="n">dev</span><span class="o">/</span><span class="n">sdg</span><span class="w">
       </span><span class="nc">Access</span><span class="w"> </span><span class="n">time</span><span class="w"> </span><span class="ss">histogram</span><span class="p">:</span><span class="w">
              </span><span class="mi">1</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
             </span><span class="mi">10</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
            </span><span class="mi">100</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
            </span><span class="mi">500</span><span class="p">:</span><span class="w"> </span><span class="mi">120</span><span class="w">
           </span><span class="mi">1000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">2000</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="w">
           </span><span class="mi">3000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">4000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">5000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">6000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">7000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">8000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
           </span><span class="mi">9000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
          </span><span class="mi">10000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
          </span><span class="mi">15000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
          </span><span class="mi">20000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
          </span><span class="mi">25000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
          </span><span class="mi">30000</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
       </span><span class="n">above</span><span class="w"> </span><span class="ss">that</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="w">
       </span><span class="ss">I</span><span class="p">:</span><span class="w"> </span><span class="nc">Closed</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="o">/</span><span class="n">dev</span><span class="o">/</span><span class="n">sdg</span><span class="w">

   </span><span class="nc">This</span><span class="w"> </span><span class="n">means</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="nc">I</span><span class="o">/</span><span class="nc">Os</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="k">case</span><span class="w"> </span><span class="n">were</span><span class="w"> </span><span class="n">between</span><span class="w"> </span><span class="mi">100</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="mi">600</span><span class="w"> </span><span class="n">msec</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">there</span><span class="w"> </span><span class="n">were</span><span class="w"> </span><span class="mi">120</span><span class="w"> </span><span class="n">chunks</span><span class="w"> </span><span class="n">being</span><span class="w"> </span><span class="n">read</span><span class="o">.</span><span class="w"> </span><span class="nc">Current</span><span class="w"> </span><span class="n">these</span><span class="w"> </span><span class="n">chunks</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="mi">1</span><span class="nc">MB</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">size</span><span class="o">.</span></code></pre><p>OPTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">-</span><span class="n">v</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">verbose</span><span class="w"> </span><span class="n">display</span><span class="w"> </span><span class="n">verbose</span><span class="w"> </span><span class="n">information</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">workings</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">multiple</span><span class="w"> </span><span class="n">times</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">increased</span><span class="w"> </span><span class="n">verbosity</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">f</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">fix</span><span class="w"> </span><span class="nc">Attempt</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">fix</span><span class="w"> </span><span class="n">areas</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">nearing</span><span class="w"> </span><span class="n">failure</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">should</span><span class="w"> </span><span class="n">only</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">attempted</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">unmounted</span><span class="w"> </span><span class="n">block</span><span class="w"> </span><span class="n">device</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">never</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">inuse</span><span class="w"> </span><span class="n">filesystem</span><span class="w"> </span><span class="ow">or</span><span class="w">
   </span><span class="n">corruption</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">likely</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">s</span><span class="w"> </span><span class="o">&lt;</span><span class="n">mode</span><span class="o">&gt;</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">scan</span><span class="w"> </span><span class="o">&lt;</span><span class="n">mode</span><span class="o">&gt;</span><span class="w"> </span><span class="nc">Scan</span><span class="w"> </span><span class="n">mode</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">either</span><span class="w"> </span><span class="n">seq</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">random</span><span class="p">,</span><span class="w"> </span><span class="n">random</span><span class="w"> </span><span class="n">reduces</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">chance</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">able</span><span class="w"> </span><span class="n">spend</span><span class="w"> </span><span class="n">time</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">recover</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="n">before</span><span class="w"> </span><span class="n">we</span><span class="w"> </span><span class="k">try</span><span class="w">
   </span><span class="n">to</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">sector</span><span class="w"> </span><span class="n">but</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">seeks</span><span class="w"> </span><span class="n">add</span><span class="w"> </span><span class="n">noise</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">latency</span><span class="w"> </span><span class="n">measurement</span><span class="o">.</span><span class="w"> </span><span class="nc">Sequential</span><span class="w"> </span><span class="n">test</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">random</span><span class="w"> </span><span class="n">test</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">still</span><span class="w"> </span><span class="n">experimental</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">regard</span><span class="w"> </span><span class="n">to</span><span class="w">
   </span><span class="n">its</span><span class="w"> </span><span class="n">usefulness</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">e</span><span class="w"> </span><span class="o">&lt;</span><span class="n">size</span><span class="o">&gt;</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">size</span><span class="w"> </span><span class="o">&lt;</span><span class="n">size</span><span class="o">&gt;</span><span class="w"> </span><span class="nc">Set</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">size</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">done</span><span class="p">,</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">must</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">multiple</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">sector</span><span class="w"> </span><span class="n">size</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">normally</span><span class="w"> </span><span class="mi">512</span><span class="w"> </span><span class="n">bytes</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">o</span><span class="w"> </span><span class="o">&lt;</span><span class="n">file</span><span class="o">&gt;</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">output</span><span class="w"> </span><span class="o">&lt;</span><span class="n">file</span><span class="o">&gt;</span><span class="w"> </span><span class="nc">Set</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">generate</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="nc">JSON</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">summary</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">details</span><span class="w"> </span><span class="n">about</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">exceptional</span><span class="w"> </span><span class="n">events</span><span class="w">
   </span><span class="n">found</span><span class="w"> </span><span class="n">during</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">r</span><span class="w"> </span><span class="o">&lt;</span><span class="n">file</span><span class="o">&gt;</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">raw</span><span class="o">-</span><span class="n">log</span><span class="w"> </span><span class="o">&lt;</span><span class="n">file</span><span class="o">&gt;</span><span class="w"> </span><span class="nc">Set</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">raw</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">logs</span><span class="w"> </span><span class="n">everything</span><span class="w"> </span><span class="n">done</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">seen</span><span class="w"> </span><span class="n">during</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">rather</span><span class="w"> </span><span class="n">large</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">but</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">can</span><span class="w">
   </span><span class="n">help</span><span class="w"> </span><span class="n">get</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">finer</span><span class="w"> </span><span class="n">details</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="w"> </span><span class="n">progress</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">behavior</span><span class="w"> </span><span class="n">during</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">scan</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">too</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="nc">JSON</span><span class="w"> </span><span class="n">file</span><span class="o">.</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">badblocks</span><span class="p" data-group-id="5926403049-1">(</span><span class="mi">1</span><span class="p" data-group-id="5926403049-1">)</span><span class="p">,</span><span class="w"> </span><span class="n">fsck</span><span class="p" data-group-id="5926403049-2">(</span><span class="mi">1</span><span class="p" data-group-id="5926403049-2">)</span></code></pre><p>AUTHOR</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Baruch</span><span class="w"> </span><span class="nc">Even</span><span class="w"> </span><span class="err">\</span><span class="o">&lt;</span><span class="n">baruch</span><span class="na">@ev</span><span class="o">-</span><span class="n">en</span><span class="o">.</span><span class="n">org</span><span class="o">&gt;</span></code></pre><p>DiskScan 0.19                                                                2013-10-25                                                                  DISKSCAN(1)</p>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="di.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
di
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="disktype.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
disktype
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
